# Requirements

+ Python 2.7
+ [pip](https://pypi.python.org/pypi/pip) Python Package Manager

# Instructions

Install packages in requirements.txt

```bash
$ pip install -r requirements.txt
```

This script uses [locust.io](https://locust.io/), an open source load testing tool.  It can be configured and run from the `locustfile` in the code directory using the following command:

For `/exportImage/` REST endpoint of dynamic services

```bash
#./code/
$ locust -f locustfile_exportImage.py
```

For `/tile/{zoom}/{y}/{x}/` REST endpoints for cached tile services

```bash
#./code/
$ locust -f locustfile_tileImage.py
```


Once run, you can navigate to `http://localhost:8089/` for the web ui.  Here you will defined two options:

1. Number of Users - total number of users
2. Hatch Rate - rate at which to spawn them

## See also

Original script credit dustin schmidt:

[here](https://bitbucket.org/duschmidt/dogami-loadtesting/src/17edfb42c46f70110f160e007f912cb4ccf5f434/code/locustfile.py?at=master&fileviewer=file-view-default)

## Reference

+ [Projected to Geographic Coordinates](https://gis.stackexchange.com/questions/78838/converting-projected-coordinates-to-lat-lon-using-python/78944)
+ [Tile Service Specification](http://wiki.openstreetmap.org/wiki/Slippy_map_tilenames)
